## r-cran-qqconf 1.3.1+dfsg

=== DESCRIPTION ===
Package: qqconf
Type: Package
Title: Creates Simultaneous Testing Bands for QQ-Plots
Version: 1.3.1
Authors@R: c(
    person("Eric", "Weine", email = "ericweine15@gmail.com", role = c("aut", "cre")),
    person("Mary Sara", "McPeek", email = "mcpeek@uchicago.edu", role = "aut"),
    person("Abney", "Mark", email = "abney@uchicago.edu", role = "aut"))
Description: Provides functionality for creating Quantile-Quantile (QQ) and Probability-Probability (PP) plots with simultaneous 
    testing bands to asses significance of sample deviation from a reference distribution.
License: GPL-3
Depends: R (>= 4.0.0)
SystemRequirements: fftw3 (>= 3.1.2)
Encoding: UTF-8
RoxygenNote: 7.1.2
Imports: MASS (>= 7.3-50), robustbase (>= 0.93-4), Rcpp
Suggests: knitr, rmarkdown, distr (>= 2.8.0)
Collate: 'one_sided.R' 'ppplot.R' 'qqconf-package.R' 'qqplot.R'
        'RcppExports.R' 'two_sided.R' 'utils.R'
VignetteBuilder: knitr
LinkingTo: Rcpp
URL: https://github.com/eweine/qqconf
BugReports: https://github.com/eweine/qqconf/issues
NeedsCompilation: yes
Packaged: 2023-01-09 02:00:44 UTC; ericweine
Author: Eric Weine [aut, cre],
  Mary Sara McPeek [aut],
  Abney Mark [aut]
Maintainer: Eric Weine <ericweine15@gmail.com>
Repository: CRAN
Date/Publication: 2023-01-09 09:20:08 UTC

## r-cran-qqconf 1.3.0+dfsg

=== debian/changelog ===
r-cran-qqconf (1.3.0+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.1 (routine-update)
  * Remove autogenerated HTML docs since it is including compressed JS

 -- Andreas Tille <tille@debian.org>  Mon, 15 Aug 2022 08:49:31 +0200

r-cran-qqconf (1.2.3-1) unstable; urgency=medium

  * Add myself to uploaders
  * New upstream version 1.2.3
  * Remove patches, for they have been merged upstream

 -- Nilesh Patra <nilesh@debian.org>  Tue, 05 Apr 2022 00:28:08 +0530

r-cran-qqconf (1.2.2-2) unstable; urgency=medium

  * Team Upload.
  * Use fftw's free and malloc instead

 -- Nilesh Patra <nilesh@debian.org>  Mon, 28 Mar 2022 21:09:33 +0530

r-cran-qqconf (1.2.2-1) unstable; urgency=medium

  * Team Upload.
  * New upstream version 1.2.2
  * Drop patches, merged upstream

 -- Nilesh Patra <nilesh@debian.org>  Sun, 27 Mar 2022 00:42:33 +0530

r-cran-qqconf (1.2.1-2) unstable; urgency=medium

  * Team Upload.
  * Add patch to fix compilation on non x86
  * Add autopkgtest for vigenette weaving
  * Add vignettes as examples

 -- Nilesh Patra <nilesh@debian.org>  Fri, 18 Mar 2022 17:34:54 +0530

r-cran-qqconf (1.2.1-1) unstable; urgency=medium

  * New upstream version
  * dh-update-R to update Build-Depends (routine-update)
  * Trim trailing whitespace.
  * Set upstream metadata fields: Archive.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Build-Depends: libfftw3-dev

 -- Andreas Tille <tille@debian.org>  Wed, 09 Mar 2022 20:37:08 +0100

r-cran-qqconf (1.1.1-1) unstable; urgency=medium

  * Initial release (closes: #1005398)

 -- Andreas Tille <tille@debian.org>  Sat, 12 Feb 2022 21:42:05 +0100

=== debian/control ===
Source: r-cran-qqconf
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Andreas Tille <tille@debian.org>,
           Nilesh Patra <nilesh@debian.org>
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-r,
               r-base-dev,
               r-cran-mass,
               r-cran-robustbase,
               r-cran-rcpp,
               libfftw3-dev
Standards-Version: 4.6.1
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-qqconf
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-qqconf.git
Homepage: https://cran.r-project.org/package=qqconf
Rules-Requires-Root: no

Package: r-cran-qqconf
Architecture: any
Depends: ${R:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: GNU R creates simultaneous testing bands for QQ-plots
 Provides functionality for creating Quantile-Quantile (QQ) and
 Probability-Probability (PP) plots with simultaneous testing bands
 to asses significance of sample deviation from a reference
 distribution.

## r-cran-qqconf 1.3.1+dfsg

=== debian/changelog ===
r-cran-qqconf (1.3.1+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.2 (routine-update)

 -- Andreas Tille <tille@debian.org>  Fri, 13 Jan 2023 09:23:28 +0100

## r-cran-qqconf 1.3.2+dfsg

=== DESCRIPTION ===
Package: qqconf
Type: Package
Title: Creates Simultaneous Testing Bands for QQ-Plots
Version: 1.3.2
Authors@R: c(
    person("Eric", "Weine", email = "ericweine15@gmail.com", role = c("aut", "cre")),
    person("Mary Sara", "McPeek", email = "mcpeek@uchicago.edu", role = "aut"),
    person("Abney", "Mark", email = "abney@uchicago.edu", role = "aut"))
Description: Provides functionality for creating Quantile-Quantile (QQ) and Probability-Probability (PP) plots with simultaneous 
    testing bands to asses significance of sample deviation from a reference distribution <doi:10.18637/jss.v106.i10>.
License: GPL-3
Depends: R (>= 4.0.0)
SystemRequirements: fftw3 (>= 3.1.2)
Encoding: UTF-8
RoxygenNote: 7.2.3
Imports: MASS (>= 7.3-50), robustbase (>= 0.93-4), Rcpp
Suggests: knitr, rmarkdown, distr (>= 2.8.0)
Collate: 'one_sided.R' 'ppplot.R' 'qqconf-package.R' 'qqplot.R'
        'RcppExports.R' 'two_sided.R' 'utils.R'
VignetteBuilder: knitr
LinkingTo: Rcpp
URL: https://github.com/eweine/qqconf
BugReports: https://github.com/eweine/qqconf/issues
NeedsCompilation: yes
Packaged: 2023-04-14 19:38:46 UTC; ericweine
Author: Eric Weine [aut, cre],
  Mary Sara McPeek [aut],
  Abney Mark [aut]
Maintainer: Eric Weine <ericweine15@gmail.com>
Repository: CRAN
Date/Publication: 2023-04-14 23:00:21 UTC

=== debian/changelog ===
r-cran-qqconf (1.3.2+dfsg-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Mon, 26 Jun 2023 16:44:13 +0200

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
                r-cran-robustbase,
                r-cran-rcpp,
                libfftw3-dev
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-qqconf
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-qqconf.git
 Homepage: https://cran.r-project.org/package=qqconf

=== debian/tests/control ===
Tests: vignette
Depends: @, r-cran-knitr, r-cran-rmarkdown, r-cran-distr
Restrictions: allow-stderr

=== debian/watch ===
version=4
opts="repacksuffix=+dfsg,dversionmangle=s/\+dfsg[0-9]*//g,repack,compression=xz" \
https://cloud.r-project.org/src/contrib/qqconf_([-\d.]*)\.tar\.gz
